sort_pub_dependencies

Group: pub

Maturity: stable

Dart SDK: >= 2.1.0 • (Linter v0.1.63)

Since info is static, may be stale

View all Lint Rules

Using the Linter

DO sort pub dependencies alphabetically (A to Z) in pubspec.yaml.

Sorting list of pub dependencies makes maintenance easier.

Usage

To enable the sort_pub_dependencies lint, add sort_pub_dependencies under linter > rules in your analysis_options.yaml file:

linter:
  rules:
    - sort_pub_dependencies